WordVectorType (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.wordvector

## Enum WordVectorType

- java.lang.Object
- - java.lang.Enum<WordVectorType>
  - - opennlp.tools.util.wordvector.WordVectorType

- All Implemented Interfaces:
    Serializable, Comparable<WordVectorType>

      @Experimental
      public enum WordVectorType
      extends Enum<WordVectorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOUBLE`
    `FLOAT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WordVectorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WordVectorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLOAT

          public static final WordVectorType FLOAT

    - #### DOUBLE

          public static final WordVectorType DOUBLE

  - ### Method Detail

    - #### values

          public static WordVectorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WordVectorType c : WordVectorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WordVectorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2026 The Apache Software Foundation. All rights reserved.